const TaskBase=require("../task.base");
const system = require("../../system");
const logCtl = system.getObject("web.oplogCtl");

class EIntentionProtectTask extends TaskBase{
  constructor(){
    super(TaskBase.getServiceName(EIntentionProtectTask));
    this.eintentionSve = system.getObject("service.eintentionSve");
  }
  async subDoTask(){
    console.log("EIntentionProtectTask.....");
    try {
      this.eintentionSve.cancelProject();
    } catch (error) {
      console.log(error);
      logCtl.info({
        optitle:"bpo意向客户取消保护",  
        op:"base/db/EIntentionProtectTask.js",
        content:"" + error.stack,
        clientIp:""
      });

    }
  }
}
module.exports=EIntentionProtectTask;
